<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:22 PST 2021 -->
<title>Uses of Class org.apache.nutch.webui.client.model.JobInfo (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.nutch.webui.client.model.JobInfo (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/apache/nutch/webui/client/model/class-use/JobInfo.html" target="_top">Frames</a></li>
<li><a href="JobInfo.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.nutch.webui.client.model.JobInfo" class="title">Uses of Class<br>org.apache.nutch.webui.client.model.JobInfo</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.webui.client">org.apache.nutch.webui.client</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.nutch.webui.client.impl">org.apache.nutch.webui.client.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.nutch.webui.client.model">org.apache.nutch.webui.client.model</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.nutch.webui.client">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a> in <a href="../../../../../../../org/apache/nutch/webui/client/package-summary.html">org.apache.nutch.webui.client</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/apache/nutch/webui/client/package-summary.html">org.apache.nutch.webui.client</a> that return <a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a></code></td>
<td class="colLast"><span class="typeNameLabel">NutchClient.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/NutchClient.html#getJobInfo-java.lang.String-">getJobInfo</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.client.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a> in <a href="../../../../../../../org/apache/nutch/webui/client/impl/package-summary.html">org.apache.nutch.webui.client.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/apache/nutch/webui/client/impl/package-summary.html">org.apache.nutch.webui.client.impl</a> that return <a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a></code></td>
<td class="colLast"><span class="typeNameLabel">RemoteCommandExecutor.JobStateChecker.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandExecutor.JobStateChecker.html#call--">call</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a></code></td>
<td class="colLast"><span class="typeNameLabel">RemoteCommandExecutor.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommandExecutor.html#executeRemoteJob-org.apache.nutch.webui.client.impl.RemoteCommand-">executeRemoteJob</a></span>(<a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommand.html" title="class in org.apache.nutch.webui.client.impl">RemoteCommand</a>&nbsp;command)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a></code></td>
<td class="colLast"><span class="typeNameLabel">RemoteCommand.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommand.html#getJobInfo--">getJobInfo</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a></code></td>
<td class="colLast"><span class="typeNameLabel">NutchClientImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/impl/NutchClientImpl.html#getJobInfo-java.lang.String-">getJobInfo</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jobId)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/apache/nutch/webui/client/impl/package-summary.html">org.apache.nutch.webui.client.impl</a> with parameters of type <a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">RemoteCommand.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/impl/RemoteCommand.html#setJobInfo-org.apache.nutch.webui.client.model.JobInfo-">setJobInfo</a></span>(<a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a>&nbsp;jobInfo)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.nutch.webui.client.model">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a> in <a href="../../../../../../../org/apache/nutch/webui/client/model/package-summary.html">org.apache.nutch.webui.client.model</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/apache/nutch/webui/client/model/package-summary.html">org.apache.nutch.webui.client.model</a> that return types with arguments of type <a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">NutchStatus.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/model/NutchStatus.html#getJobs--">getJobs</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">NutchStatus.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/model/NutchStatus.html#getRunningJobs--">getRunningJobs</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../../org/apache/nutch/webui/client/model/package-summary.html">org.apache.nutch.webui.client.model</a> with type arguments of type <a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">NutchStatus.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/model/NutchStatus.html#setJobs-java.util.Collection-">setJobs</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a>&gt;&nbsp;jobs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">NutchStatus.</span><code><span class="memberNameLink"><a href="../../../../../../../org/apache/nutch/webui/client/model/NutchStatus.html#setRunningJobs-java.util.Collection-">setRunningJobs</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">JobInfo</a>&gt;&nbsp;runningJobs)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/apache/nutch/webui/client/model/JobInfo.html" title="class in org.apache.nutch.webui.client.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/apache/nutch/webui/client/model/class-use/JobInfo.html" target="_top">Frames</a></li>
<li><a href="JobInfo.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
